split
Description
Optional. Allows freezing the leftmost columns while scrollingUsage
split?: {
left: number
};
Parameters
left - the number of leftmost rows that will remain visible while scrolling (default is 0)
Example
import { useState } from "react";
import { Grid } from "@svar-ui/react-grid";
import { getData } from "./common/data";
export default function App() {
const { data, columns } = getData();
const [left, setLeft] = useState(3); // freeze 3 columns
return (
<Grid
data={data}
columns={columns}
split={{ left }}
/>
);
}

split
Description
Optional. Allows freezing the leftmost columns while scrollingUsage
split?: {
left: number
};
Parameters
left - the number of leftmost rows that will remain visible while scrolling (default is 0)
Example
<script setup>
import { Grid } from "@svar-ui/vue-grid";
import { getData } from "./common/data";
const { data, columns } = getData();
const left = 3; //freeze 3 columns
</script>
<template>
<Grid
:data="data"
:columns="columns"
:split="{ left }" />
</template>